Aller au contenu

Détail d'un propriétaire (IBAN masqué)

GET
/v1/owners/{id}
curl --request GET \
--url https://example.com/v1/owners/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'X-API-Key: <X-API-Key>'
id
required
string format: uuid

Profil propriétaire (IBAN jamais retourné en clair)

Media type application/json
object
data
required
object
id
required
string format: uuid
code
required
string
name
required
string
ownerType
required
string
Allowed values: individual company
vatRegime
required
string
status
required
string
siret
string
nullable
vatNumber
string
nullable
address
string
nullable
email
string
nullable
phone
string
nullable
ibanMasked

IBAN toujours null (jamais retourné en clair)

string
nullable
bankHolderName
string
nullable
bankDetailsRegistered
required
boolean
ownedUnits
required
Array<object>
object
unitId
string format: uuid
establishmentId
string format: uuid
addedAt
string format: date-time
createdAt
required
string format: date-time
Example
{
"data": {
"ownerType": "individual"
}
}

Non authentifié

Media type application/json
object
code
required

Code machine de l’erreur

string
message
required

Message lisible

string
origin

Origine domaine de l’erreur (optionnel)

object
boundedContext
string
module
string
status
required
integer
traceId
required

Identifiant de corrélation pour le support

string
Example
{
"code": "RESERVATION_NOT_FOUND",
"message": "Réservation introuvable",
"status": 404
}

Propriétaire introuvable

Media type application/json
object
code
required

Code machine de l’erreur

string
message
required

Message lisible

string
origin

Origine domaine de l’erreur (optionnel)

object
boundedContext
string
module
string
status
required
integer
traceId
required

Identifiant de corrélation pour le support

string
Example
{
"code": "RESERVATION_NOT_FOUND",
"message": "Réservation introuvable",
"status": 404
}